
/* Style commun à toutes les cartes de type SIG
 *  Classes définies : gmaps (englobant une imagette horizontale ou verticale), gmapsP (englobant une imagette panoramique)
 *      gmapsi : infos-bulles des itinéraires
 *      osmvi : infos-bulle d'imagette dans OSM
 */ 


/* Taille de la zone de la carte SIG (avec variante en vertical) */
#carte_sig {
  width: 840px; 
  height: 500px; 
}

#carte_sig_v {
  width: 500px; 
  height: 740px; 
  float: left ; /* pour avoir ensuite les boutons à droite */
}
/* Attention, ces dimensions apparaissent aussi en dur dans gpx_traceur.php */ 


#carte_sig, #carte_sig_v {
  position: relative;
  margin-top: -20px;
}

#carte_sig img, #carte_sig_v img  {
  border: 0px; /* Désactive la bordure par défaut des images de mon site, notammenent sur les cartes gmaps*/
}

div.gmapsH, div.osmvH, div.ydxvH {
  height: 62px ;
  width: 200px ;
}



div.gmapsV, div.osmvV, div.ydxvV {
  height: 93px ;
  width: 180px ;
}

/* Pour les panoramiques le texte va s'écrire en-dessous */
div.gmapsP, div.osmvP, div.ydxvP  {
  height: 76.5px ; /* Hauteur calculée pour chrome écrasée sous FF -> heu ?  (pas d'effet en tout cas...)*/
  /*width: 200px ;*/
}
 
div.gmapsH, div.gmapsV, div.gmapsP, div.osmvH, div.osmvV, div.osmvP, div.ydxvH, div.ydxvV, div.ydxvP { 
  /* */
  -moz-border-radius: 2px 2px;
  -webkit-border-radius:2px 2px;
  border-radius:2px 2px;
  
  margin-right: 0px ;
  border-width: 2px ;
  padding-top: 0px ;
  overflow: hidden;
}


/*.gmapsH img, .gmapsV img, .gmapsP img, .osmvH img, .osmvV img, .osmvP img*/
img.H, img.V, img.P
{
  float: left ;
  margin-right: 5px!important ; /* Le important semble nécessaire dans l'IGN */
  /*margin-top: -3px ;*/
  
       -moz-border-radius: 6px 6px;
      -webkit-border-radius:6px 6px;
       border-radius:6px 6px;
border: 1px solid rgb(102, 51, 0) !important; /* Sans le important c'est sans effet dans OSM */

}

.gmapsP img, .osmvP img, .ydxvP img {
  margin-bottom: 5px ;
}

.gmapsH img.H, .osmvH img.H, .ydxvH img.H, .gmapsP img.P, .osmvP img.P, .ydxvP img.P {
  height: 60px ;
}

.gmapsV img.V, .osmvV img.V, .ydxvV img.V {
  width: 60px ;
}

.gmapsH p, .gmapsV p, .gmapsP p, .osmvH p, .osmvV p, .osmvP p, .ydxvH p, .ydxvV p, .ydxvP p {
  font-family: arial, sans-serif;
  font-size: 8pt ;
  text-align: left ;
  line-height: 8.5pt ;
  margin-top: 0px ;
}


.gmapsH p, .gmapsV p, .osmvH p, .osmvV p, .ydxvH p, .ydxvV p {
  text-indent: 5pt ;
  margin-right: 10px ;
}

.gmapsP p, .osmvP p, .ydxvP p {
  text-indent: 0pt ;
}

/* étiquetage svg du visugpx : notamment parce que les CSS de l’IGN
écrasent des réglages par défaut !!! */
text.tvgpx{ fill: black; font-family: arial; font-size: 12px; opacity: 100%; text-anchor: middle;}



